
.top_header_area{
    background: red !important;
    }

    .top_nav{
        li{
            a{
                font: 400 14px/50px $roboto;
                color: #fff;
                padding: 0;
                padding-left: 30px;
                i{
                    color: $bc;
                    font-size: 18px;
                    padding-right: 10px;
                }
                &:hover, &:focus{
                    background-color: transparent;
                    color: $bc;
                }
            }
            &:first-child{
                a{
                    padding: 0;
                }
            }
        }
    }
    .social_nav{
        margin: 0;
        padding-top: 12px;
        li{
            a{ 
                font-size: 14px;
                color: #fff;
                padding: 0;  
                text-align: center;
                height: 24px;
                width: 24px;
                border-radius: 50%;
                margin-left: 10px;
                i{
                    line-height: 24px;
                }
                &:hover, &:focus{
                    background: $bc;
                    color: #111f29;
                }
            } 
        }
    }
}
/* End Top header */

/* Top header 2 */
.top_header_area.top_header{
    background-color: transparent;
    position: relative;
    overflow: hidden; 
    .right_top_header{
        background: #111f29;
        display: block;
        overflow: hidden;
        padding-left: 20px;
        &:after{
            content: "";
            position: absolute;
            right: 0;
            width: 50%;
            background: #111f29;
            height: 50px;
            z-index: -1;
        }
    }
}
/* End Top header 2 */

/* Header Aera */
.header_aera{
    background: #fff;
    border-radius: 0; 
    border: 0;
    margin: 0;
    width: 100%;
    z-index: 9999;
    top: 0;
    box-shadow: 0px 0px 20px 0px rgba(21,47,95,0.2);
    // search area
    .searchForm {
        height: 0;
        overflow: hidden;
        transition: all 300ms linear 0s; 
        .input-group-addon{
            border-radius: 0;
            border: none;
            font-size: 14px;
            padding: 0 45px;
            background: $bc;
            color: #fff;
            cursor: pointer;
        }
        .form-control {
            height: 79px;
            padding: 0 15px;
            border-radius: 0;
            border: none;
            color: #fff;
            background: $bc;
            text-align: center;
            font: 400 16px $roboto;
            box-shadow: inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(102,175,233,.6);
            @include placeholder{
                font: 400 16px $roboto;
                color: #fff;
            }
        }
    }
    .show {
        height: 80px; 
        border-bottom: 1px solid transparent;
    }
    .navbar-header{
        .navbar-brand{ 
            padding-top: 39px;
            img{
                max-width: 100%; 
            }
        }
    }
    .navbar-collapse{
        .navbar-nav.navbar-right{
            li{
                a{
                    font: 700 14px/100px $roboto;
                    color: $h2;
                    text-transform: uppercase;
                    padding: 0;
                    padding-left: 30px;
                    &:hover, &:focus{
                        color: $bc;
                    }
                }
                .nav_searchFrom{
                    width: 100px;
                    background: $bc;
                    color: #fff;
                    padding: 0;
                    text-align: center;
                    margin-left: 15px;
                    &:hover, &:focus{
                        color: $h2;
                    }
                } 
                &.submenu{
                    .other_dropdwn{
                        @media (min-width: 768px){
                            margin-right: -122px; 
                        }
                    }
                    ul{
                        border: none;
                        box-shadow: none;
                        border-radius: 0px;
                        min-width: 190px;
                        transition: all 500ms ease-in-out;
                        background: $bc; 
                        @media (min-width: 768px){
                            margin-right: -150px;
                            display: block;
                            transform: rotateX(-90deg);
                            transform-origin: top; 
                        }
                        li{
                            display: block;
                            a{
                                line-height: normal;
                                font: 700 14px/normal $roboto;
                                padding: 12px 8px;
                                display: block; 
                            } 
                        }
                        &:before{
                            content: "";
                            width: 100%;
                            height: 5px;
                            background: $h2;
                            position: absolute;
                            top: 0px;
                            transform: translateZ(0);
                            backface-visibility: hidden;
                            transform: scaleX(0);
                            transform-origin: 0 50%;
                            transition: all 800ms ease-in-out;
                        }
                        &:after{
                            content: "";
                            width: 100%;
                            height: 5px;
                            position: absolute;
                            bottom: 0px;
                            background: $h2;
                            transform: translateZ(0);
                            backface-visibility: hidden;
                            transform: scaleX(0);
                            transform-origin: 100% 50%;
                            transition: all 800ms ease-in-out;
                        }
                    }
                }  
                &:hover{
                    &.submenu{
                        @media (min-width: 768px){
                            ul{
                                transform: rotateX(0deg);
                                &:before{
                                    transform: scaleX(1);
                                }
                                &:after{
                                    transform: scaleX(1);
                                }
                            }
                        }
                    }
                }
            } 
        }
    }
}
/* End Header Aera */

/* End header area 2 */ 
.header_aera_tow{
    background-color: transparent;
    position: relative;
    box-shadow:none;
    .navbar_right_fulid{
        background: #fff;
        height: 100px;
        padding-left: 20px;
        box-shadow: 0px 0px 40px 0px rgba(21,47,95,0.2);
        &:after{
            content: "";
            position: absolute;
            right: 0;
            height: 100px;
            background: #fff;
            width: 30%;
            z-index: -1;
            box-shadow: 0px 0px 40px 0px rgba(21,47,95,0.2); 
        }
        ul.nav.navbar-nav.navbar-right{
            margin-right: 0;
        }
    } 
} 

.navbar-default .navbar-nav > .open > a, .navbar-default .navbar-nav > .open > a:focus, .navbar-default .navbar-nav > .open > a:hover{
    background-color: transparent;
}
/* header area 2 */